CLASS BASIC(3)

NAME
boost::program_options::basic_parsed_options<wchar_t>

SYNOPSIS

// In header: <boost/program_options/parsers.hpp>
class basic_parsed_options<wchar_t> {
public:
  // public member functions
   basic_parsed_options(const basic_parsed_options< char > &);
  std::vector< basic_option< wchar_t > > options;
  const options_description * description;
  basic_parsed_options< char > utf8_encoded_options;
};

DESCRIPTION

Specialization of basic_parsed_options which:

    &#8226; provides convenient conversion from basic_parsed_options<char>

    &#8226; stores the passed char-based options for later use.

  basic_parsed_options public member functions

    1.

     basic_parsed_options(const basic_parsed_options< char > & po);

    Constructs wrapped options from options in UTF8 encoding.